=== debian/control ===
Source: ros-noetic-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-noetic-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime
Description: A ROS package for Task execution with dialogflow
