## ros-noetic-dialogflow-task-executive 2.1.28

=== debian/changelog ===
ros-noetic-dialogflow-task-executive (2.1.28-1focal) focal; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-dialogflow-task-executive (2.1.25-1focal) focal; urgency=high

  * Add option to use project_id from json, instead of credentials (#460 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/460>)
  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
    
      * install python files under CATKIN_PACKAGE_BIN_DESTINATION
      * dialogflow_task_executive: add missing dependencies to package.xml
      * dialogflow_task_executive: pip -i only works with 64 bit (x86_64 and aarch64), other archtecture skips rospy_node.test
      * dialogflow_task_executive/CMakeLists.txt: test/test_rospy_node.test depends on generate_messages
      * dialogflow_task_executive/requirements.txt.indigo: specify grpcio for indigo
      * add catkin_install_python for test, it is also change installed directory from BIN to SHARE, because we want to have same directory structure between devel and install
      * add test to check if ros node is loadable
        If we use python2 PYTHON_INTERPRETER on 20.04, python2 fails to load rospy in /opt/ros/noetic, because rospy moduels are alraedy updated.
        If we use python3 PYTHON_INTERPRETER on 18.04, python3 can load rospy in /opt/ros/melodic by chance.
        c.f. https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/367
    
  * [dialogflow_task_executive] chmod -x because of catkin_virtualenv (#449 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/449>)
  * [dialogflow_task_executive] not use map for python3 in task_executive (#447 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/447>)
  * [dialogflow_task_executive] fix typo in dialogflow_client.py (#445 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/445>)
    
      * chmod -x because of catkin_virtualenv
      * not use map for python3 in task_executive
      * fix typo in dialogflow_client.py
    
  * [dialogflow_task_executive] add sample apps (#293 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/293>)
  * [dialogflow_task_executive] add speech_to_text_other topic name in speech_to_text_mux (#302 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/302>)
  * [CI] build catkin_virtualenv packages in indigo. (#419 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/419>)
  * [dialogflow_task_executive] check if ROS_PYTHON_VERSION is set to support indigo in dialogflow_client (#408 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/408>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * [dialogflow_task_executive] Support noetic (#362 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/362>)
  * Fix GithubAction (#386 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/386>)
  * [dialogflow_task_executive] Enable aarch64 (#364 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/364>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
  * [dialogflow_task_executive] set optenv as default false (#368 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/368>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * [dialogflow_task_executive] add comments in DialogResponse.msg (#366 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/366>)
  * [dialogflow_task_executive] adding some args in dialogflow_ros.launch (#361 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/361>)
  * [dialogflow_task_executive] fix warn bug when got unknown action (#363 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/363>)
  * fix type on dialogflow_task_executive/requirements.txt.indigo (#355 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/355>)
  * [dialogflow_task_executive] add requirements.txt in .gitignore (#353 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/353>)
  * [dialogflow_task_executive] add doc in launch (#349 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/349>)
  * [dialogflow_task_executive]separate dialogflow API client and app execution from dialogflow_task_executive (#343 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/343>)
  * dialogflow_task_executive: re-enable idnigo (#342 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/342>)
  * dialogflow_task_executive: more depends and udpate README.md (#334 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/334>)
  * [dialogflow_task_executive] Fix bugs when subscribing /text (std_msgs/String) topic (#328 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/328>)
  * [dialogflow_task_executive] load dialogflow project_id from credentials (#319 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/319>)
  * [dialogflow_task_executive] Fix merging #317 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/317> (#318 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/318>)
  * Support dialogflow hotword yaml (#307 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/307>)
  * add sample code of dialogflow (#317 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/317>)

