=== debian/control ===
Source: ros-noetic-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-message-generation, ros-noetic-roslaunch, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-noetic-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-message-runtime, ros-noetic-speech-recognition-msgs, ros-noetic-std-msgs, ros-noetic-topic-tools
Description: A ROS package for Google Dialogflow and launching apps via Dialogflow
